%define git git20110127

Summary:	Voice/Video Call UI for Telepathy
Name:		telepathy-call-ui
Version:	0.0
Release:	%mkrel -c %{git} 2
Url:		https://projects.kde.org/projects/playground/network/telepathy/telepathy-call-ui
Source0:	telepathy-call-ui-%{git}.tar.bz2
License:	GPLv2+
Group:		Graphical desktop/KDE
BuildRequires:	kdelibs4-devel
BuildRequires:	telepathy-qt4-devel
BuildRequires:	qt-gstreamer-devel
BuildRequires:	boost-devel
Requires:	telepathy-mission-control
Requires:	telepathy-gabble
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Suggests:	gstreamer0.10-plugins-bad
Suggests:	telepathy-accounts-kcm
Provides:	kcall

%description
Voice/Video Call UI for Telepathy.

%files
%defattr(-,root,root)
%{_bindir}/kcall
%{_bindir}/telepathy-kde-call-ui
%dir %{_kde_appsdir}/kcall
%{_kde_appsdir}/kcall/kcallui.rc
%{_kde_appsdir}/libtelepathy-kde-call/codec-preferences.ini
%{_kde_appsdir}/telepathy-kde-call-ui/callwindowui.rc
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.telepathy_kde_call_ui.service
%{_datadir}/telepathy/clients/telepathy_kde_call_ui.client

%prep
%setup -q -n %{name}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

%clean
rm -rf %{buildroot}


%changelog
* Sat Apr 16 2011 wally <wally> 0.0-0.git20110127.2.mga1
+ Revision: 86144
- fix gstreamer package names in requires/suggests

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110127.1.mga1
+ Revision: 86127
- imported package telepathy-call-ui

